package com.ruoyi.warehouseBusiness.domain.dto;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @author caifc
 * @date 2021-10-22 9:43
 */
public class CalculateStorageFeesDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    //提单号
    private String fMblno;

    //出库客户Id
    private Long fCorpid;

    //物资类型Id
    private String fGoodsid;

    //时长天数(需要计算仓储费的时长)
    private Long days;

    //已经计算过仓储费的天数（假设传参80，则阶梯计价时按照80往后的计算）  21.01.14 曹志刚要求新增
    private Long earlySumDays;

    //是否需要校验仓库
    private String cangKey;

    //仓库id
    private Long warehouseId;

    // 货物计算仓储费开始与截止时间  21.10.22 郝臻新需求
    private Date startTime;
    private Date endTime;

    // 计费数量
    private BigDecimal fQty = BigDecimal.ZERO;

    // 计费毛重
    private BigDecimal fGrossweight = BigDecimal.ZERO;

    // 计费净重
    private BigDecimal fNetweight = BigDecimal.ZERO;

    // 计费其他
    private BigDecimal fVolumn = BigDecimal.ZERO;


    public String getfMblno() {
        return fMblno;
    }

    public void setfMblno(String fMblno) {
        this.fMblno = fMblno;
    }

    public Long getfCorpid() {
        return fCorpid;
    }

    public void setfCorpid(Long fCorpid) {
        this.fCorpid = fCorpid;
    }

    public String getfGoodsid() {
        return fGoodsid;
    }

    public void setfGoodsid(String fGoodsid) {
        this.fGoodsid = fGoodsid;
    }

    public Long getDays() {
        return days;
    }

    public void setDays(Long days) {
        this.days = days;
    }

    public Long getEarlySumDays() {
        return earlySumDays;
    }

    public void setEarlySumDays(Long earlySumDays) {
        this.earlySumDays = earlySumDays;
    }

    public String getCangKey() {
        return cangKey;
    }

    public void setCangKey(String cangKey) {
        this.cangKey = cangKey;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public BigDecimal getfQty() {
        return fQty;
    }

    public void setfQty(BigDecimal fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfGrossweight() {
        return fGrossweight;
    }

    public void setfGrossweight(BigDecimal fGrossweight) {
        this.fGrossweight = fGrossweight;
    }

    public BigDecimal getfNetweight() {
        return fNetweight;
    }

    public void setfNetweight(BigDecimal fNetweight) {
        this.fNetweight = fNetweight;
    }

    public BigDecimal getfVolumn() {
        return fVolumn;
    }

    public void setfVolumn(BigDecimal fVolumn) {
        this.fVolumn = fVolumn;
    }

    @Override
    public String toString() {
        return "CalculateStorageFeesDto{" +
                "fCorpid=" + fCorpid +
                ", fGoodsid='" + fGoodsid + '\'' +
                ", days=" + days +
                ", earlySumDays=" + earlySumDays +
                ", cangKey='" + cangKey + '\'' +
                ", warehouseId=" + warehouseId +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", fQty=" + fQty +
                ", fGrossweight=" + fGrossweight +
                ", fNetweight=" + fNetweight +
                ", fVolumn=" + fVolumn +
                '}';
    }
}
